unit u_strings;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, StrUtils;

function MyTime: string;
function RemovePath(Path: string): string;
function RemoveExtension(Path: string): string;

implementation

function MyTime: string;
var h, m, s, ms: word;
T1, T2: string;
begin
decodetime (now, h, m, s, ms);
str(h:2, T1); if h < 10 then T1[1] := '0';
str(m:2, T2); if m < 10 then T2[1] := '0';
MyTime := T1 + ':'+ T2;
end;

// removes verything before the last / or \, including the / or \
function RemovePath(Path: string): string;
var N: Integer;
begin
for N := Length(Path) downto 1 do
  if (Path[N] = '\') or (Path[N] = '/') Then
  begin
    RemovePath := Midstr(Path, N + 1, Length(Path));
    Exit;
  end;
If N <= 1 Then RemovePath := Path;
end;


// removes the part after the last dot, including the dot
function RemoveExtension(Path: string): string;
var N: Integer;
begin
for N := Length(Path) downto 1 do
  if Path[N] = '.'  Then
  begin
    RemoveExtension := Midstr(Path, 1, N-1);
    Exit;
  end;
If N <= 1 Then RemoveExtension := Path;
end;

end.

